<?php
    /**
     * Theme options via the Customizer.
     *
     * @package villanelle
     * @since villanelle 1.0
     */

    // ------------- Theme Customizer  ------------- //

    add_action( 'customize_register', 'villanelle_customizer_register' );

    function villanelle_customizer_register( $wp_customize ) {



// Pro Version
        class Villanelle_Customize_Pro_Version extends WP_Customize_Control {
            public $type = 'pro_options';

            public function render_content() {
                echo '<span>Upgrade to <strong></strong></span>';
                echo '<a href="'. esc_url($this->description) .'" target="_blank">';
                echo '<strong> '. esc_html__( 'Villanelle Premium', 'villanelle' ) .'<strong></a>';
                echo '</a>';
            }
        }

        // Pro Version Links
        class Villanelle_Customize_Pro_Version_Links extends WP_Customize_Control {
            public $type = 'pro_links';

            public function render_content() {
                ?>
                <ul>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Upgrade', 'villanelle' ); ?> <span>*</span></h3>
                        <p><?php esc_html_e( 'There are lots of reasons to upgrade to Pro version. Unlimited custom Colors, rich Typography options, multiple variation of Blog Feed layout and way much more. Also Premium Support included.', 'villanelle' ); ?></p>
                        <a href="<?php echo esc_url('https://www.vinethemes.com/downloads/villanelle-personal-wordpress-theme/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Get Villanelle Premium', 'villanelle' ); ?></a>
                    </li>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Documentation', 'villanelle' ); ?></h3>
                        <p><?php esc_html_e( 'Read how to customize the theme, set up widgets, and learn all the possible options available to you.', 'villanelle' ); ?></p>
                        <a href="<?php echo esc_url('https://www.vinethemes.com/documentation/villanelle-theme-documentation/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Documentation', 'villanelle' ); ?></a>
                    </li>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Support', 'villanelle' ); ?></h3>
                        <p><?php esc_html_e( 'For Villanelle theme related questions feel free to post on our support forums.', 'villanelle' ); ?></p>
                        <a href="<?php echo esc_url('https://vinethemes.com/forums'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Support', 'villanelle' ); ?></a>
                    </li>

                </ul>
                <?php
            }
        }


        /*
        ** Pro Version =====
        */

        // add Colors section
        $wp_customize->add_section( 'villanelle_pro' , array(
            'title'		 => esc_html__( 'About Villanelle', 'villanelle' ),
            'priority'	 => 1,
            'capability' => 'edit_theme_options'
        ) );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_', array(
            'sanitize_callback' => 'villanelle_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Villanelle_Customize_Pro_Version_Links ( $wp_customize,
                'pro_version_', array(
                    'section'	=> 'villanelle_pro',
                    'type'		=> 'pro_links',
                    'label' 	=> '',
                    'priority'	=> 1
                )
            )
        );





        //Slick Slider
        $wp_customize->add_section( 'villanelle_customizer_slider', array(
            'title'       => esc_html__( 'Slider Options', 'villanelle' ),
            'description' => esc_html__( 'Configure your Slider here.', 'villanelle' ),
            'priority'    => 1
        ) );


        $wp_customize->add_setting( 'villanelle_customizer_slider_disable', array(
            'default'    => 'enable',
            'section'  => 'villanelle_customizer_slider',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_radio',
        ) );

        $wp_customize->add_control( 'villanelle_slider_select_box', array(
            'settings' => 'villanelle_customizer_slider_disable',
            'label'    => esc_html__( 'Homepage Slider', 'villanelle' ),
            'section'  => 'villanelle_customizer_slider',
            'type'     => 'select',
            'choices'  => array(
                'enable'  => esc_html__( 'Enable', 'villanelle' ),
                'disable' => esc_html__( 'Disable', 'villanelle' ),
                ),
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'villanelle_slider_category', array(
            'default' => '0',
            'sanitize_callback'	=> 'absint',
            'section'  => 'villanelle_customizer_slider',

        ) );
         $wp_customize->add_control(new villanelle_Customize_Category_Control( $wp_customize, 'villanelle_slider_category', array(
                    'label'    => esc_html__( 'Category for Slider', 'villanelle' ),
                    'section'  => 'villanelle_customizer_slider',
                    'settings' => 'villanelle_slider_category',
                    'priority'	 => 7
                )
            )
        );

        $wp_customize->add_setting( 'villanelle_slider_slides', array(
            'default' => '3',
            'sanitize_callback'	=> 'absint',
            'section'  => 'villanelle_customizer_slider',
        ) );

        $wp_customize->add_control( 'villanelle_slider_slides', array(
                    'label'      => esc_html__('Number of Posts for Slider','villanelle'),
                    'section'    => 'villanelle_customizer_slider',
                    'settings'   => 'villanelle_slider_slides',
                    'type'		 => 'number',
                    'priority'	 => 8
                )
        );

        $wp_customize->add_setting( 'villanelle_slider_designs', array(
            'default'    => 'Slider1',
            'section'  => 'villanelle_customizer_slider',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_radio',
        ) );

        $wp_customize->add_control( 'villanelle_slider_designs', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Slider Designs', 'villanelle' ),
            'section'  => 'villanelle_customizer_slider',
            'choices'  => array(
                'Slider1'  => esc_html__( 'Slider', 'villanelle' ),
                'Slider2' => esc_html__( 'Grid', 'villanelle' ),
                'Slider3' => esc_html__( 'Carousel', 'villanelle' ),
            ),
            'priority' => 9
        ) );


        //Header Designs
        $wp_customize->add_section( 'villanelle_customizer_header', array(
            'title'       => esc_html__( 'Header Designs', 'villanelle' ),
            'description' => esc_html__( 'Configure your Header designs here.', 'villanelle' ),
            'priority'    => 1
        ) );

        $wp_customize->add_setting( 'villanelle_header_designs', array(
            'default'    => 'header1',
            'section'  => 'villanelle_customizer_header',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_radio',
        ) );

        $wp_customize->add_control( 'villanelle_header_designs', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Header Designs', 'villanelle' ),
            'section'  => 'villanelle_customizer_header',
            'choices'  => array(
                'header1' => esc_html__( 'Header 1', 'villanelle' ),
                'header2' => esc_html__( 'Header 2', 'villanelle' ),
                'header3' => esc_html__( 'Header 3', 'villanelle' ),
            ),
            'priority' => 9
        ) );

        // Featured Boxes Starts

        $wp_customize->add_section( 'villanelle_featured_boxes' , array(
            'title'      => esc_html__( 'Featured Boxes','villanelle'),
            'description'=> esc_html__( 'Configure Featured Boxes', 'villanelle' ),
            'priority'   => 2,
        ) );

        // Featured Boxes
        $wp_customize->add_setting('villanelle_featured_box', array(
            'default'     => false,
            'section'  => 'villanelle_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );
        $wp_customize->add_setting('villanelle_promo1_title', array(
            'default'     => '',
            'section'  => 'villanelle_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('villanelle_promo1_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'villanelle_promo1_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('villanelle_promo2_title', array(
            'default'     => '',
            'section'  => 'villanelle_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('villanelle_promo2_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'villanelle_promo2_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('villanelle_promo3_title', array(
            'default'     => '',
            'section'  => 'villanelle_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('villanelle_promo3_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'villanelle_promo3_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('villanelle_promo4_title', array(
            'default'     => '',
            'section'  => 'villanelle_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('villanelle_promo4_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'villanelle_promo4_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('villanelle_promo5_title', array(
            'default'     => '',
            'section'  => 'villanelle_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('villanelle_promo5_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'villanelle_promo5_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );





        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'featured_boxes',
                array(
                    'label'      => esc_html__('Enable Featured Boxes','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_featured_box',
                    'type'		 => 'checkbox',
                    'priority'	 => 1
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo1_title',
                array(
                    'label'      => esc_html__('Featured Box1 Title','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo1_title',
                    'type'		 => 'text',
                    'priority'	 => 3
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo1_image',
                array(
                    'label'      => esc_html__('Featured Box1 Image','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo1_image',
                    'priority'	 => 4
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo1_url',
                array(
                    'label'      => esc_html__('Featured Box1 URL','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo1_url',
                    'type'		 => 'url',
                    'priority'	 => 5
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo2_title',
                array(
                    'label'      => esc_html__('Featured Box2 Title','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo2_title',
                    'type'		 => 'text',
                    'priority'	 => 6
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo2_image',
                array(
                    'label'      => esc_html__('Featured Box2 Image','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo2_image',
                    'priority'	 => 7
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo2_url',
                array(
                    'label'      => esc_html__('Featured Box2 URL','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo2_url',
                    'type'		 => 'url',
                    'priority'	 => 8
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo3_title',
                array(
                    'label'      => esc_html__('Featured Box3 Title','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo3_title',
                    'type'		 => 'text',
                    'priority'	 => 9
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo3_image',
                array(
                    'label'      => esc_html__('Featured Box3 Image','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo3_image',
                    'priority'	 => 10
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo3_url',
                array(
                    'label'      => esc_html__('Featured Box3 URL','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo3_url',
                    'type'		 => 'url',
                    'priority'	 => 11
                )
            )
        );


        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo4_title',
                array(
                    'label'      => esc_html__('Featured Box4 Title','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo4_title',
                    'type'		 => 'text',
                    'priority'	 => 12
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo4_image',
                array(
                    'label'      => esc_html__('Featured Box4 Image','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo4_image',
                    'priority'	 => 13
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo4_url',
                array(
                    'label'      => esc_html__('Featured Box4 URL','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo4_url',
                    'type'		 => 'url',
                    'priority'	 => 14
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo5_title',
                array(
                    'label'      => esc_html__('Featured Box5 Title','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo5_title',
                    'type'		 => 'text',
                    'priority'	 => 15
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo5_image',
                array(
                    'label'      => esc_html__('Featured Box5 Image','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo5_image',
                    'priority'	 => 16
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo5_url',
                array(
                    'label'      => esc_html__('Featured Box5 URL','villanelle'),
                    'section'    => 'villanelle_featured_boxes',
                    'settings'   => 'villanelle_promo5_url',
                    'type'		 => 'url',
                    'priority'	 => 17
                )
            )
        );




        // Featured Boxes End


        //General Options

        $wp_customize->add_section( 'villanelle_general_options', array(
            'title'       => esc_html__( 'General Options', 'villanelle' ),
            'description' => esc_html__( 'Configure Your Theme Settings Here.', 'villanelle' ),
            'priority'    => 3
        ) );

        $wp_customize->add_setting( 'villanelle_general_search_icon', array(
            'section'  => 'villanelle_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'villanelle_general_search_icon', array(
            'settings' => 'villanelle_general_search_icon',
            'label'    => esc_html__( 'Hide Top Search Icon', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'villanelle_general_responsive', array(
            'section'  => 'villanelle_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'villanelle_general_responsive', array(
            'settings' => 'villanelle_general_responsive',
            'label'    => esc_html__( 'Disable Responsive', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'villanelle_general_sidebar_home', array(
            'section'  => 'villanelle_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'villanelle_general_sidebar_home', array(
            'settings' => 'villanelle_general_sidebar_home',
            'label'    => esc_html__( 'Disable Sidebar on Homepage and Archive Pages', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'villanelle_general_sidebar_post', array(
            'section'  => 'villanelle_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'villanelle_general_sidebar_post', array(
            'settings' => 'villanelle_general_sidebar_post',
            'label'    => esc_html__( 'Disable Sidebar on Posts', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'villanelle_general_sidebar_page', array(
            'section'  => 'villanelle_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'villanelle_general_sidebar_page', array(
            'settings' => 'villanelle_general_sidebar_page',
            'label'    => esc_html__( 'Disable Sidebar on Pages', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );

        $wp_customize->add_setting( 'villanelle_general_author_post', array(
            'section'  => 'villanelle_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'villanelle_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'villanelle_general_author_post', array(
            'settings' => 'villanelle_general_author_post',
            'label'    => esc_html__( 'Disable Author Box on Posts', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );

        $wp_customize->add_setting( 'villanelle_general_post_summary', array(
            'default' => 'excerpt',
            'section'  => 'villanelle_general_options',
            'sanitize_callback'	=> 'villanelle_sanitize_radio',
        ) );

        $wp_customize->add_control( 'villanelle_general_post_summary', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Homepage and Archive Post Summary Type', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'choices'  => array(
                'excerpt'  => esc_html__( 'Use Excerpt', 'villanelle' ),
                'full' => esc_html__( 'Use Full Post', 'villanelle' ),
            ),
            'priority' => 9
        ) );
        $wp_customize->add_setting( 'villanelle_general_post_layout', array(
            'default' => 'standard',
            'section'  => 'villanelle_general_options',
            'sanitize_callback'	=> 'villanelle_sanitize_radio',
        ) );
        $wp_customize->add_control( 'villanelle_general_post_layout', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Homepage and Archive Post Layout Type', 'villanelle' ),
            'section'  => 'villanelle_general_options',
            'choices'  => array(
                'grid'  => esc_html__( 'Grid Layout', 'villanelle' ),
                'standard' => esc_html__( 'Standard Post', 'villanelle' ),
                'list' => esc_html__( 'List Post [Only in Premium Version]', 'villanelle' ),
            ),
            'priority' => 10
        ) );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors2', array(
            'sanitize_callback' => 'villanelle_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Villanelle_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors2', array(
                    'section'	  => 'villanelle_general_options',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'villanelle' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/villanelle-personal-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


        // Footer Settings
        $wp_customize->add_section( 'villanelle_footer_settings', array(
            'title'       => esc_html__( 'Footer Settings', 'villanelle' ),
            'description' => esc_html__( 'Configure Your Footer Here. You can\'t change our footer links in the free version of this theme.', 'villanelle' ),
            'priority'    => 8
        ) );

        $wp_customize->add_setting(
            'footer_copyright',
            array(
                'default'     => 'Copyright 2022.',
                'sanitize_callback' => 'sanitize_text_field'
            )
        );

        $wp_customize->add_control('footer_copyright', array(
                    'label'      => esc_html__('Footer Copyright Text','villanelle'),
                    'section'    => 'villanelle_footer_settings',
                    'settings'   => 'footer_copyright',
                    'type'		 => 'text',
                    'priority'	 => 1
                )
        );


        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors3', array(
            'sanitize_callback' => 'villanelle_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Villanelle_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors3', array(
                    'section'	  => 'villanelle_footer_settings',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'villanelle' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/villanelle-personal-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


    }


// Adding controls to default customizer panel
    add_action('customize_register','villanelle_customizer_options');
    /*
     * Add in our custom Main Color setting and control to be used in the Customizer in the Colors section
     *
     */
    function villanelle_customizer_options( $wp_customize ) {
        $wp_customize->add_setting(
            'villanelle_main_color', //give it an ID
            array(
                'default' => '#fc4544', // Give it a default
                'sanitize_callback' => 'sanitize_hex_color',
                'transport'      => 'refresh'
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Color_Control(
                $wp_customize,
                'villanelle_custom_main_color', //give it an ID
                array(
                    'label'      => esc_html__( 'Main Color', 'villanelle' ), //set the label to appear in the Customizer
                    'section'    => 'colors', //select the section for it to appear under
                    'settings'   => 'villanelle_main_color' //pick the setting it applies to
                )
            )
        );
        $wp_customize->add_setting(
            'villanelle_main_text', //give it an ID
            array(
                'default' => '#fc4544', // Give it a default
                'sanitize_callback' => 'sanitize_hex_color',
                'transport'      => 'refresh'
            )
        );
        $wp_customize->add_control(
            new Villanelle_Customize_Pro_Version(
                $wp_customize,
                'villanelle_custom_text', //give it an ID
                array(
                    'label'      => esc_html__( 'Upgrade', 'villanelle' ), //set the label to appear in the Customizer
                    'section'    => 'colors', //select the section for it to appear under
                    'settings'   => 'villanelle_main_text', //pick the setting it applies to
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/villanelle-personal-wordpress-theme/' ),
                )
            )
        );



    }



    /*
    * Adding a section to manage social links
    */
    function villanelle_sociallink_customizer( $wp_customize ) {
        $wp_customize->add_section( 'villanelle_social_section' , array(
            'title' => esc_html__( 'Social Links', 'villanelle' ),
            'priority' => 30,
            'description' => 'Setting for Social media Icons. Add a link to each of your Social Media Profiles. Leave the field empty for the icons you don\'t want to be displayed.',

        ) );

        $wp_customize->add_setting( 'villanelle_facebook', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_twitter', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );

        $wp_customize->add_setting( 'villanelle_pinterest', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );

        $wp_customize->add_setting( 'villanelle_linkedin', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_instagram', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_bloglovin', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_snapchat', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_tumblr', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_youtube', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_dribbble', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_soundcloud', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_vimeo', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'villanelle_rss', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );


        $wp_customize->add_control( 'facebook', array(
            'type' => 'url',
            'label' => esc_html__( 'Facebook', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_facebook',
        ) );
        $wp_customize->add_control( 'twitter', array(
            'type' => 'url',
            'label' => esc_html__( 'Twitter', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_twitter',
        ) );
        $wp_customize->add_control( 'linkedin', array(
            'type' => 'url',
            'label' => esc_html__( 'Linkedin', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_linkedin',
        ) );
        $wp_customize->add_control( 'pinterest', array(
            'type' => 'url',
            'label' => esc_html__( 'Pinterest', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_pinterest',
        ) );

        $wp_customize->add_control( 'instagram', array(
            'type' => 'url',
            'label' => esc_html__( 'Instagram', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_instagram',
        ) );
        $wp_customize->add_control( 'bloglovin', array(
            'type' => 'url',
            'label' => esc_html__( 'Bloglovin', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_bloglovin',
        ) );
        $wp_customize->add_control( 'snapchat', array(
            'type' => 'url',
            'label' => esc_html__( 'Snapchat', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_snapchat',
        ) );
        $wp_customize->add_control( 'tumblr', array(
            'type' => 'url',
            'label' => esc_html__( 'Tumblr', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_tumblr',
        ) );
        $wp_customize->add_control( 'youtube', array(
            'type' => 'url',
            'label' => esc_html__( 'Youtube', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_youtube',
        ) );
        $wp_customize->add_control( 'dribbble', array(
            'type' => 'url',
            'label' => esc_html__( 'Dribbble', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_dribbble',
        ) );
        $wp_customize->add_control( 'soundcloud', array(
            'type' => 'url',
            'label' => esc_html__( 'Soundcloud', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_soundcloud',
        ) );
        $wp_customize->add_control( 'vimeo', array(
            'type' => 'url',
            'label' => esc_html__( 'Vimeo', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_vimeo',
        ) );
        $wp_customize->add_control( 'rss', array(
            'type' => 'url',
            'label' => esc_html__( 'Rss', 'villanelle' ),
            'section' => 'villanelle_social_section',
            'settings' => 'villanelle_rss',
        ) );


    }
    add_action('customize_register', 'villanelle_sociallink_customizer');

    function villanelle_sanitize_text( $input ) {
        return wp_kses_post( force_balance_tags( $input ) );
    }


    //checkbox sanitization function
    function villanelle_sanitize_checkbox( $input ){

        //returns true if checkbox is checked
        return (( isset( $input ) && true === $input ) ? true : false );
    }

    //radio box sanitization function
    function villanelle_sanitize_radio( $input, $setting ){
    $valid = array(
        'Slider1' => 'Slider1',
        'Slider2' => 'Slider2',
        'Slider3' => 'Slider3',
        'excerpt' => 'excerpt',
        'full' => 'full',
        'standard' => 'standard',
        'grid' => 'grid',
        'enable' => 'enable',
        'disable' => 'disable',
        'header1' => 'header1',
        'header2' => 'header2',
        'header3' => 'header3'
    );
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return $setting->default;
    }
    }

    function villanelle_panels_js() {
        wp_enqueue_style( 'villanelle-customizer-ui-css', get_theme_file_uri( '/customizer-ui.css' ) );
    }
    add_action( 'customize_controls_enqueue_scripts', 'villanelle_panels_js' );
